Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.editpolicy
Interface IEditPolicyProvider

All Superinterfaces:
  IProvider

public interface IEditPolicyProvider
extends IProvider

The interface for providers of the EditPolicy Service.

Method Summary
`void` `createEditPolicies(EditPart editPart)` Creates and installs the applicable editpolicies on the given editpart.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### createEditPolicies

    public void createEditPolicies(EditPart editPart)

  Creates and installs the applicable editpolicies on the given editpart.

  Parameters:
    `editPart` - the `EditPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.